<?php
/**
 * @version		$Id: mod_skype_status.php 2012-03-31 s2software $
 * @package		Skype Status
 * @subpackage	mod_skype_status
 * @copyright	Copyright (C) 2012 - S2 Software, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;
?>

<div id="skypeStatusModule">

<?php
	if ($text != '') {
		echo '<p>'.$text.'</p>';
	}
?>

<a id="skypeStatus" href="skype:<?php echo $username ?>?call"></a>

<script type="text/javascript">
	// avoid showing loading animation every page change
	var savedStatus = jQuery.cookie('skype_status');
	showStatus(savedStatus);

	getStatus();
	
	<?php if ($interval > 0) {	// refresh intereval ?>
		setInterval(getStatus, <?php echo $interval * 1000 /* seconds to milliseconds */ ?>);
	<?php } ?>
	
	function getStatus() {
		jQuery.get('<?php echo $module_dir.'/ajax.php?username='.$username ?>', function(status) {
			showStatus(status);
			// expire in 15 minutes
			/*var date = new Date();
			date.setTime(date.getTime() + (15 * 60 * 1000));*/
			jQuery.cookie('skype_status', status/*, {expires: date}*/);
			// (no expire date: expires when the browser is closed)
		});
	}
	
	function showStatus(status) {
		var img = '<?php echo $img_loading ?>';
		
		if (status !== null) {
			if (status > 1) {
				img = '<?php echo $img_online ?>';
			}
			else {
				img = '<?php echo $img_offline ?>';
			}
		}
		
		jQuery('#skypeStatus').html('<img src="'+img+'" />');
	}
</script>

</div>